## Apache Zeta Components Manual :: File Source for memory_register.php

## Source for file memory_register.php

Documentation is available at memory_register.php

1. <?php
2. /**
3. * File containing the ezcCacheStorageMemoryRegisterStruct class.
4. *
5. * Licensed to the Apache Software Foundation (ASF) under one
6. * or more contributor license agreements. See the NOTICE file
7. * distributed with this work for additional information
8. * regarding copyright ownership. The ASF licenses this file
9. * to you under the Apache License, Version 2.0 (the
10. * "License"); you may not use this file except in compliance
11. * with the License. You may obtain a copy of the License at
12. *
13. * http://www.apache.org/licenses/LICENSE-2.0
14. *
15. * Unless required by applicable law or agreed to in writing,
16. * software distributed under the License is distributed on an
17. * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
18. * KIND, either express or implied. See the License for the
19. * specific language governing permissions and limitations
20. * under the License.
21. *
22. * @package Cache
23. * @version //autogentag//
24. * @license http://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0
25. * @filesource
26. */
28. /**
29. * Defines an APC Register structure.
30. *
31. * @package Cache
32. * @version //autogentag//
33. */
34. class ezcCacheStorageMemoryRegisterStruct extends ezcBaseStruct
35. {
36. /**
37. * Holds the ID of an entry in the registry.
38. *
39. * @var string
40. */
41. public $id ;
43. /**
44. * Holds the attributes of an entry in the registry.
45. *
46. * @var array(mixed)
47. */
48. public $attributes ;
50. /**
51. * Holds the identifier of an entry in the registry.
52. *
53. * @var string
54. */
55. public $identifier ;
57. /**
58. * Holds the location of the cache.
59. *
60. * @var string
61. */
62. public $location ;
64. /**
65. * Constructs a new ezcCacheStorageMemoryRegisterStruct.
66. *
67. * @param string $id
68. * @param array(mixed) $attributes
69. * @param string $identifier
70. * @param mixed $location
71. */
72. public function __construct ( $id, $attributes, $identifier , $location )
73. {
74. $this-> id = $id;
75. $this-> attributes = $attributes;
76. $this-> identifier = $identifier;
77. $this-> location = $location;
78. }
79. }
80. ?>

Documentation generated by phpDocumentor 1.4.3